$(document).ready(function () {
	slider();
});

;function slider() {
	// Static var
	var sliderWrap = $('.slider-wrapper');
	var leftControl = $('.left'); 
	var rightControl = $('.right');

	// Переменная которая будет хранить состояние left св-ва слайдера ( .slider-wrapper )
	var formulaLeft = 0;

	// Dynamic var
	var sectionValue = $('.slider-wrapper .slide').size();

	// Получение максимальной ширины части контента .slider-wrapper и устанавливает эту ширину в .slide ( блок - контент )
	// Это растянет .slide на 100% дисплея по ширине
	var getWidth = $('.slider').width();
	$('.slide').css({'width': getWidth});

	// Устанавливаем интервал на перелистывние слайдера
	var interval = setInterval(sliderTimer, 6000);

	// Получение ширины .slide ( блок-контент )
	// maxLeft = Переменная, которая хранит максимально возможный left для .slider-wrapper
	var slideWidth = $('.slide').outerWidth();
	var maxLeft = slideWidth * sectionValue;

	// next img event
	rightControl.click(function () {
		// Reset и запуск снова интервала
		clearInterval(interval);
		interval = setInterval(sliderTimer, 6000);
		// Если максимальный отступ left не равен отступу .slider-wrapper = (formulaLeft  + slideWidth)
		// то >+63
		if(maxLeft  != (formulaLeft  + slideWidth))
		{
			// Прибавляем к имеющемся left у .slider-wrapper ширину .slide
			// После анимируем переход на значение left
			formulaLeft = slideWidth + formulaLeft;
			sliderWrap.stop().animate({'left': '-' + formulaLeft}, 600);
		} else {
			// reset
			// Если максимальный отступ равен уже имеющемуся отступу left 
			// то > восстанавливаем слайдер на исходную
			formulaLeft = 0;
			sliderWrap.stop().animate({'left': 0}, 1000);
		}
	});
	// /rightControl

	// prev img event
	leftControl.click(function () {
		// Reset и запуск снова интервала
		clearInterval(interval);
		interval = setInterval(sliderTimer, 6000);
		// Если максимальный отступ не равен имеющемуся отступу left у .slider-wrapper
		// то >
		if(maxLeft != formulaLeft) {
			// Вычитаем left из имеющегося и анимируем .slider-wrapper
			formulaLeft = formulaLeft - slideWidth;
			sliderWrap.stop().animate({'left': '-' + formulaLeft}, 600);
		}
		// Если слайдер находится на исходной left = 0
		// то >
		if(formulaLeft <= -1) {
			// Вычитаем из максимального значения величину слайда >
			// Это даст максимальный отступ left (maxleft - ширина последнего слайда) >
			// Анимируем переход к последнему слайду
			formulaLeft = maxLeft - slideWidth;
			sliderWrap.stop().animate({'left': '-' + formulaLeft}, 1000);
		}

	});
	// /leftControl


	// Автоматическое перелистывание слайдера
	function sliderTimer() {

		if(maxLeft  != (formulaLeft  + slideWidth))
		{
			// Прибавляем к имеющемся left у .slider-wrapper ширину .slide
			// После анимируем переход на значение left
			formulaLeft = slideWidth + formulaLeft;
			sliderWrap.stop().animate({'left': '-' + formulaLeft}, 600);
		} else {
			// reset
			// Если максимальный отступ равен уже имеющемуся отступу left 
			// то > восстанавливаем слайдер на исходную
			formulaLeft = 0;
			sliderWrap.stop().animate({'left': 0}, 1000);
		}

	};

};

